<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<link rel="stylesheet" href="gege.css"/>

<title>GéGé, Générateur de Grise Bouille</title>
 </head>
<body>

<!-- ajout conteneur global -->
<div id="wrapper">
  <div id="focusImg" style="display:none;"><img id="bigImg"/></div>
<!-- tableau de bord -->

	<div id="tableauDeBord">
 		<div id="menuContainer">
	<h1><span class="hidden">GéGé</span><img id="logo" src="images/banniere_gege.png" width="230" height="134" alt="Banniere du générateur GéGé" ></h1>
	<p class="hidden">Générateur de Grise Bouille</p>
			<div id="lib" class="rc">
			<div><label for="newText"><span class="hidden">Saisissez votre bulle</span></label> <input type="text" id="newText" placeholder="Saisissez votre bulle" onkeypress="cg.createTextFromInput(event)"/></div>
                        <div class="upload">
                          <input type="file" accept="image/*" id="imageFileInput" class="file" multiple   onchange='cg.createImageFromInput(this)' />
                        <h2 class="save"><a href="#" onclick="$('#imageFileInput').click();" title="Importer une ou plusieurs images">Importer une image</a></h2></div>
                        </div>
	</div>
	
<div id="hiddenObjs">
	<div id="textTool" class="rc mini textTool" title="Ajouter du texte" onclick="cg.createText();">T</div>
	<div id="instructs" class="rc instructions">
		<h2>Instructions</h2>
		<ul>
			<li><em>Flêche bas</em>: rétrécir</li>
			<li><em>Flêche haut</em>: agrandir</li>
			<li><em>Gauche/Droite</em>: retournement horizontal</li>
			<li><em>Del</em>: effacer l'objet</li>
		</ul>

	</div></div>
<div id="toolbar" class="rcBottom">
	
	<h2 class="save"><a href="javascript:cg.saveImage();" title="enregistrer l image">Enregistrer votre image</a></h2>
<h2 class="last">Redimensionner la fenêtre</h2> 
<br />
<p> <input type="text" id="newWidth" placeholder="Largeur"/> x <input type="text" id="newHeight" placeholder="Hauteur"/> </p> 
<br/>
<h2 class="save"><a href="javascript:cg.setScreen($('#newWidth').val(), $('#newHeight').val())" class="save">Redimensionner</a> </h2>
</div></div>
<!-- fin tableau de bord -->

	<div id="cscreen">
		<canvas class="rc" id="c" crossorigin="anonymous" width="800" height="600">
			Le générateur du GKND a besoin d'un navigateur récent et de javascript pour fonctionner.
		</canvas>
	</div>
<footer>
	<p><em><a href="https://grisebouille.net/">Grise Bouille</em></a> et l'intégralité de son contenu (images et textes) sont l'œuvre de Simon « Gee » Giraudot et diffusés sous licence Creative Commons By-Sa.<br/>

	GéGé est une adaptation de <a href="https://github.com/willianpc/comicgen" title="Code source de l'auteur original sur Github">Comic Gen de Willian Carvalho</a> réalisée par Cyrille Largillier pour <a href="https://framasoft.org" title="Vous ne connaissez pas encore Framasoft ?">Framasoft</a>.</p>
</footer>
<script type="text/javascript" src="jquery-1.5.2.min.js"></script>
<script type="text/javascript" src="ragaboom.min.js"></script>
<script type="text/javascript" src="comicgen.js"></script>
<script type="text/javascript" src="gege.js"></script>

</div>
</body>
</html>
